/*! angularjs-slider - v5.8.7 - 
 (c) Rafal Zajac <rzajac@gmail.com>, Valentin Hervieu <valentin@hervieu.me>, Jussi Saarivirta <jusasi@gmail.com>, Angelin Sirbu <angelin.sirbu@gmail.com> - 
 https://github.com/angular-slider/angularjs-slider - 
 2016-11-09 */
.rzslider {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 4px;
  margin: 35px 0 15px 0;
  vertical-align: middle;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.rzslider.with-legend {
  margin-bottom: 40px;
}

.rzslider[disabled] {
  cursor: not-allowed;
}

.rzslider[disabled] .rz-pointer {
  cursor: not-allowed;
  background-color: #d8e0f3;
}

.rzslider[disabled] .rz-bar-wrapper.rz-draggable {
  cursor: not-allowed;
}

.rzslider[disabled] .rz-bar.rz-selection {
  background: #8b91a2;
}

.rzslider[disabled] .rz-ticks .rz-tick {
  cursor: not-allowed;
}

.rzslider[disabled] .rz-ticks .rz-tick.rz-selected {
  background: #8b91a2;
}

.rzslider span {
  position: absolute;
  display: inline-block;
  white-space: nowrap;
}

.rzslider .rz-base {
  width: 100%;
  height: 100%;
  padding: 0;
}

.rzslider .rz-bar-wrapper {
  left: 0;
  z-index: 1;
  width: 100%;
  height: 32px;
  padding-top: 16px;
  margin-top: -16px;
  box-sizing: border-box;
}

.rzslider .rz-bar-wrapper.rz-draggable {
  cursor: move;
}

.rzslider .rz-bar {
  left: 0;
  z-index: 1;
  width: 100%;
  height: 4px;
  background: #d8e0f3;
  -webkit-border-radius: 2px;
     -moz-border-radius: 2px;
          border-radius: 2px;
}

.rzslider .rz-bar.rz-selection {
  z-index: 2;
  background: #fdc900;
  -webkit-border-radius: 2px;
     -moz-border-radius: 2px;
          border-radius: 2px;
}

.rzslider .rz-pointer {
  top: -14px;
  z-index: 3;
  width: 32px;
  height: 32px;
  cursor: pointer;
  background-color: #fdc900;
  -webkit-border-radius: 16px;
     -moz-border-radius: 16px;
          border-radius: 16px;
}

.rzslider .rz-pointer:after {
  position: absolute;
  top: 12px;
  left: 12px;
  width: 8px;
  height: 8px;
  background: #ffffff;
  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;
  content: '';
}

.rzslider .rz-pointer:hover:after {
  background-color: #ffffff;
}

.rzslider .rz-pointer.rz-active {
  z-index: 4;
}

.rzslider .rz-pointer.rz-active:after {
  background-color: red;
}

.rzslider .rz-bubble {
  bottom: 16px;
  padding: 1px 3px;
  color: #55637d;
  cursor: default;
}

.rzslider .rz-bubble.rz-selection {
  top: 16px;
}

.rzslider .rz-bubble.rz-limit {
  color: #55637d;
}

.rzslider .rz-ticks {
  position: absolute;
  top: -3px;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 0;
  margin: 0;
  list-style: none;
  box-sizing: border-box;
}

.rzslider .rz-ticks .rz-tick {
  position: absolute;
  top: 0;
  left: 0;
  width: 10px;
  height: 10px;
  margin-left: 11px;
  text-align: center;
  cursor: pointer;
  background: #d8e0f3;
  border-radius: 50%;
}

.rzslider .rz-ticks .rz-tick.rz-selected {
  background: #0db9f0;
}

.rzslider .rz-ticks .rz-tick .rz-tick-value {
  position: absolute;
  top: -30px;
  transform: translate(-50%, 0);
}

.rzslider .rz-ticks .rz-tick .rz-tick-legend {
  position: absolute;
  top: 24px;
  max-width: 50px;
  white-space: normal;
  transform: translate(-50%, 0);
}

.rzslider .rz-ticks.rz-ticks-values-under .rz-tick-value {
  top: initial;
  bottom: -32px;
}

.rzslider.rz-vertical {
  position: relative;
  width: 4px;
  height: 100%;
  padding: 0;
  margin: 0 20px;
  vertical-align: baseline;
}

.rzslider.rz-vertical .rz-base {
  width: 100%;
  height: 100%;
  padding: 0;
}

.rzslider.rz-vertical .rz-bar-wrapper {
  top: auto;
  left: 0;
  width: 32px;
  height: 100%;
  padding: 0 0 0 16px;
  margin: 0 0 0 -16px;
}

.rzslider.rz-vertical .rz-bar {
  bottom: 0;
  left: auto;
  width: 4px;
  height: 100%;
}

.rzslider.rz-vertical .rz-pointer {
  top: auto;
  bottom: 0;
  left: -14px !important;
}

.rzslider.rz-vertical .rz-bubble {
  bottom: 0;
  left: 16px !important;
  margin-left: 3px;
}

.rzslider.rz-vertical .rz-bubble.rz-selection {
  top: auto;
  left: 16px !important;
}

.rzslider.rz-vertical .rz-ticks {
  top: 0;
  left: -3px;
  z-index: 1;
  width: 0;
  height: 100%;
}

.rzslider.rz-vertical .rz-ticks .rz-tick {
  margin-top: 11px;
  margin-left: auto;
  vertical-align: middle;
}

.rzslider.rz-vertical .rz-ticks .rz-tick .rz-tick-value {
  top: initial;
  left: 24px;
  transform: translate(0, -28%);
}

.rzslider.rz-vertical .rz-ticks .rz-tick .rz-tick-legend {
  top: initial;
  right: 24px;
  max-width: none;
  white-space: nowrap;
  transform: translate(0, -28%);
}

.rzslider.rz-vertical .rz-ticks.rz-ticks-values-under .rz-tick-value {
  right: 24px;
  bottom: initial;
  left: initial;
}

.form-col select,
.form-col input[type=text] {
	width: 100%;
}

.form-col {
	height: 50px;
         
}

button.link {
	border: 0px;
	padding: 0px;
	margin: 0px;
	background-color: rgba(0,0,0,0);;
}

#fagineum_coupon .modal  {
	padding-top: 150px;
    overflow-y: auto;
}

@media(max-width: 768px) {
	#fagineum_coupon .modal {
		padding-top: 60px;
	}
	
	#fagineum_coupon h3 {
		font-size: 14px;
	}
}

#fagineum_coupon .modal-header {
	background-color: #fdc900;
	color: #fff;
	padding: 10px;
	padding-left: 15px;
	padding-right: 15px;
	border-color: #fdc900;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 1rem;
}

#fagineum_coupon .modal-content {
	border-radius: 0px;
	border-color: #fdc900;
	text-align: left;
}

#fagineum_coupon .modal-footer {
	border-color: #fdc900;
}

#fagineum_coupon .list-group-item:first-child,
#fagineum_coupon .list-group-item:last-child {
	border-radius: 0px;
}

#fagineum_coupon .control-label {
	display: block;
}

#fagineum_coupon input[type=text],
#fagineum_coupon select {
    width: 100%;
}

#fagineum_coupon .form-col {
	height: 42px;
	padding-top: 10px;
	margin-top: 10px;
	font-size: 12px;
} 

#fagineum_coupon .error-row .form-col {
	height: 70px;
}

#fagineum_coupon .form-col.first {
	height: auto;
	min-height: 50px;
} 

#fagineum_coupon .error-row .form-col.first {
	height: auto;
	min-height: 65px;
} 

.panel-footer .btn {
   text-decoration: underline;
}

@media(min-width: 768px) {
   .infoarea {
      border-left: 1px solid #eee;
   }
}

.buttonline .btn {
	font-weight: bold;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    display: none;
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
}

.modal h3,
.modal h4 {
    color: #000;
}

.modal-backdrop.show {
    opacity: .5 !important;
}
.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    background-color: #000;
}

.modal-open .modal {
    overflow-x: hidden;
    overflow-y: auto;
}
.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    display: none;
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
}

.fade {
    transition: opacity .15s linear;
}

@media (min-width: 576px) {
	.modal-dialog {
    		max-width: 500px;
    		margin: 1.75rem auto !important;
	}
	.col-sm-6 {
		width: calc(50% - 5px);
	} 
}

.modal.show .modal-dialog {
    transform: none;
}

.modal.fade .modal-dialog {
    transition: transform .3s ease-out;
    transform: translate(0,-50px);
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: .5rem;
    pointer-events: none;
}

.modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: .3rem;
    outline: 0;
}



.modal-body {
    position: relative;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-footer {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 0;
    align-items: center;
    justify-content: flex-end;
    padding: .75rem;
    border-top: 1px solid #dee2e6;
    border-bottom-right-radius: calc(.3rem - 1px);
    border-bottom-left-radius: calc(.3rem - 1px);
}

.row {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(var(--bs-gutter-y) * -1);
    width: 100%;
}

.row .col-xs-6 {
    flex-shrink: 0;
    width: 50%;
    max-width: 50%;
}

.row .col-xs-10 {
    flex-shrink: 0;
    width: 92%;
    max-width: 92%;
}

.row .col-xs-10 {
    flex-shrink: 0;
    width: 92%;
    max-width: 92%;
}

.row .col-xs-1 {
    flex-shrink: 0;
    width: 8%;
    max-width: 8%;
}


.text-left {
    text-align: left !important;
}

.modal-footer .col-xs-6 {
    text-align: right;
}

.close {
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    padding: .25em .25em;
    color: #000;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
    border: 0;
    border-radius: .25rem;
    opacity: .5;
}

.modal-header .close {
    padding: .5rem .5rem;
    margin: -.5rem -.5rem -.5rem auto;
}

.modal-header .modal-title {
    font-size: 26px;
    color: #000;
}

/*
.modal-body .list-group-item {
     height: 160px;
}
*/

.modal button {
     box-shadow: none;
}

.custom-alert.ng-hide {
     display: block !important;
     opacity: 0;
}

.alert.custom-alert {
     height: 50px;
}
.modal-body a {
     color: #000 !important;
}
.form-col.has-error {
     color: red;
}

.modal-content .list-group {
	list-style: none;
	margin-left: 0px;
	
}

.modal-content .btn.btn-link {
	text-decoration: underline;
	padding: 5px !important;
}
.modal-content .btn.btn-link svg {
	width: 1em;
}